Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.xml.client
Interface Attr

All Superinterfaces:
  Node

    public interface Attr

extends Node

`Attr` objects represent key-value pairs of attributes on `Element` objects. `Attr` objects are immutable.

Field Summary

Fields inherited from interface com.google.gwt.xml.client.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getName()` This method retrieves the name.
`boolean` | `getSpecified()` This method determines whether the value of this `Attr` was specified here, or as a default value in a DTD.
`java.lang.String` | `getValue()` This method retrieves the value.

Methods inherited from interface com.google.gwt.xml.client.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`

Method Detail

### getName

    java.lang.String getName()

  This method retrieves the name.

  Returns:
    the name of this `Attr`

### getSpecified

    boolean getSpecified()

  This method determines whether the value of this `Attr` was specified here, or as a default value in a DTD.

  Returns:
    `true` if the value of this `Attr` was specified locally.

### getValue

    java.lang.String getValue()

  This method retrieves the value.

  Returns:
    the value of this `Attr`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD